oracle.sql.json

## Enum OracleJsonDecimal.TargetType

- java.lang.Object
- - java.lang.Enum<OracleJsonDecimal.TargetType>
  - - oracle.sql.json.OracleJsonDecimal.TargetType

All Implemented Interfaces:
  Serializable, Comparable<OracleJsonDecimal.TargetType>

Enclosing interface:
  OracleJsonDecimal

    public static enum OracleJsonDecimal.TargetType
    extends Enum<OracleJsonDecimal.TargetType>

Marker indicating if this value is intended to be mapped to Java int, long, or BigDecimal/BigInteger.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DECIMAL`
`INT`
`LONG`

### Method Summary

All Methods Static Methods Concrete Methods
`static OracleJsonDecimal.TargetType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OracleJsonDecimal.TargetType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INT

    public static final OracleJsonDecimal.TargetType INT

#### LONG

    public static final OracleJsonDecimal.TargetType LONG

#### DECIMAL

    public static final OracleJsonDecimal.TargetType DECIMAL

### Method Detail

#### values

    public static OracleJsonDecimal.TargetType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleJsonDecimal.TargetType c : OracleJsonDecimal.TargetType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleJsonDecimal.TargetType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.